Subject: Re: [PATCH] powerpc/powernv/cpuidle: Pass correct drv->cpumask for registration

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 19 Mar 2017 16:55:33 +1100

On Fri, 2017-03-17 at 23:35 +0530, Vaidyanathan Srinivasan wrote:
> +       /*
> +        * On PowerNV platform cpu_present may be less that cpu_possible
> +        * in cases where firmware detects the cpu, but it is not available
> +        * for OS.  Such CPUs are not hotplugable at runtime on PowerNV
> +        * platform and hence sysfs files are not created for those.
> +        * Generic topology_init() would skip creating sysfs directories
> +        * for cpus that are not present and not hotplugable later at
> +        * runtime.
> +        *
> + 

I wouldn't assume that they can't later be hotplugged. We need that fix
now as it's hitting machines today but we'll need to improve all that
code and the topology code to deal with hotplugging gracefully.

Cheers,
Ben.